%define sname dsk
%define name lib%sname
%define version 1.2.1
%define release %mkrel 1
%define distsuffix plf

%define major 3

%define libname %mklibname dsk %major
%define libname_devel %mklibname -d %sname
%define libname_static_devel %mklibname -s -d %sname

Name: %{name}
Summary: A library for accessing floppy drives and disk images transparently
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.seasip.demon.co.uk/Unix/LibDsk/
Source: http://www.seasip.demon.co.uk/Unix/LibDsk/%{name}-%{version}.tar.gz
Group: System/Libraries
BuildRequires: libz-devel bzip2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
LibDsk is a library intended to give transparent access to floppy drives and
to the "disc image files" used by emulators to represent floppy drives.

This package is in PLF because it contains emulator related software.

%package -n %{libname}
Summary: A library for accessing floppy drives and disk images transparently
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
LibDsk is a library intended to give transparent access to floppy drives and
to the "disc image files" used by emulators to represent floppy drives.

Install the libdsk package if you need to manipulate DSK files. You should
also install the libdsk-progs package.

This package is in PLF because it contains emulator related software.

%package -n %{libname_devel}
Summary: Development files for programs which will use the libdsk library
Group: Development/C
Requires: %{libname} = %{version}
Provides: %name-devel = %{version}-%{release}
Obsoletes: %{libname}-devel

%description -n %{libname_devel}
This package contains the header files and documentation necessary for
development of programs that will use the libdsk library to load and save
DSK format disc image files.

You should install this package if you need to develop programs which will
use the libdsk library functions for loading and saving DSK format disc
image files. You'll also need to install the libdsk package.

This package is in PLF because it contains emulator related software.

%package -n %{libname_static_devel}
Summary: Static libraries for programs which will use the libdsk library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %libname_static_devel = %{version}-%{release}
Obsoletes: %{libname}-static-devel

%description -n %{libname_static_devel}
This package contains the static libraries, necessary for development of
programs that will use the libdsk library to load and save DSK format
disc image files.

You should install this package if you need to develop programs which
will use the libdsk library functions for loading and saving DSK format
disc image files. You'll also need to install the libdsk package.

This package is in PLF because it contains emulator related software.

%package progs
Summary: Programs for manipulating DSK format disc image files
Group: Emulators
Requires: %{libname} = %{version}-%{release}

%description progs
The libdsk-progs package contains various programs for manipulating
DSK format disc image files.

Install this package if you need to manipulate DSK format disc image
files. You'll also need to install the libdsk package.

This package is in PLF because it contains emulator related software.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog doc/COPYING doc/README doc/TODO
%{_libdir}/lib*.so.%{major}*

%files -n %{libname_devel}
%defattr(-,root,root)
%doc doc/COPYING doc/cfi.html doc/libdsk.*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files -n %{libname_static_devel}
%defattr(-,root,root)
%doc doc/COPYING
%{_libdir}/lib*.a

%files progs
%defattr(-,root,root)
%doc doc/COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 1.2.1-1plf2008.1
- 1.2.1

* Mon May 8 2006 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.10-1plf
- 1.1.10

* Sun Mar 26 2006 Stefan van der Eijk <stefan@zarb.org> 1.1.9-1plf
- 1.1.9
- misc spec file changes

* Sun Jul 10 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.5-1plf
- new version

* Wed May 4 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.4-2plf
- added patch to fix CR-LFs in libdsk.h
- the --disable-rpath option in configure is not needed anymore

* Fri Apr 22 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.4-1plf
- new version

* Wed Feb 16 2005 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.3-1plf
- new version

* Fri May 7 2004 Miguel Barrio Orsikowsky <megamik@zarb.org> 1.1.1-2plf
- introduce in PLF
- changed spec file to meet Mandrake's skel spec
- repackaged sources to bz2 format
- removed static-devel package

* Wed Apr 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.1-1mdk
- 1.1.1

* Sun Dec 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.0-6mdk
- introduce in contrib

* Tue Nov 4 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-5mdk
- removed some unnecesary commands from spec file
- disable rpath
- fixed some rpmlint errors

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-4mdk
- made lots of fixes and cosmetic changes to the spec file

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-3mdk
- added BuildRequires

* Tue May 13 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-2mdk
- unified %%changelog

* Thu Apr 24 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 1.0.0-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1


